import { createPinia } from "pinia";
// 引入持久化插件
import persist from "pinia-plugin-persistedstate";

const pinia = createPinia();

// 使用持久化插件
pinia.use(persist);

export default pinia;

// 简写
export * from "./modules/user"; // 用户
export * from "./modules/templateCase"; // 模板案例
export * from "./modules/showroomCase"; // 展厅案例
export * from "./modules/myShowroom"; // 我的展厅
export * from "./modules/myScene"; // 我的场景
export * from "./modules/myTemplate"; // 我的模板
export * from "./modules/personalCenter"; // 个人中心模块
export * from "./modules/shoppingCart"; // 购物车模块
